%define major	0
%define libname	%mklibname esound %{major}

Summary:	The Enlightened Sound Daemon
Name:		esound
Version: 0.2.36
Release: 1mdk
License:	LGPL
Group:		System/Servers

Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/esound/esound-%{version}.tar.bz2
# (fc) 0.2.28 increase spawn process waiting time
Patch0:		esound-0.2.35-spawntime.patch.bz2
# (fc) 0.2.28-3mdk don't add -L/usr/lib to ldflags
Patch2:		esound-0.2.35-libdir.patch.bz2
URL:		ftp://ftp.gnome.org/pub/GNOME/sources/esound/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: audiofile-devel

%description
EsounD (the Enlightened Sound Daemon) is a server process that allows multiple
applications to share a single sound card. For example, when you're listening
to music from your CD and you receive a sound-related event from ICQ, your
applications won't have to jockey for the attention of your sound card.

EsounD mixes several audio streams for playback by a single audio device.

%package -n %{libname}
Summary: Libraries for EsounD
Group: System/Libraries
Provides: libesound
Requires: esound >= %{version}-%{release}

%description -n %{libname}
These are the libraries for EsounD.

%package -n %{libname}-devel
Summary:	Includes and more to develop EsounD applications
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	audiofile-devel 
Requires:	%{libname} = %{version}
Provides: 	libesound-devel
Provides:	esound-devel
Obsoletes:  esound-devel

%description -n %{libname}-devel
Libraries, include files and other resources you can use to develop EsounD
applications.

%prep
%setup -q
%patch0 -p1 -b .spawntime
%patch2 -p1 -b .libdir

%build

%configure2_5x --with-libwrap --disable-alsa
%make

%install
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog INSTALL NEWS README TIPS TODO
%config(noreplace) %{_sysconfdir}/esd.conf
%{_bindir}/esd
%{_bindir}/esdcat
%{_bindir}/esdctl
%{_bindir}/esddsp
%{_bindir}/esdfilt
%{_bindir}/esdloop
%{_bindir}/esdmon
%{_bindir}/esdplay
%{_bindir}/esdrec
%{_bindir}/esdsample
%{_mandir}/man1/esd.1*
%{_mandir}/man1/esd[a-z]*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_bindir}/esd-config
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/*a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/esd-config.1*

%changelog
* Tue Jun  7 2005 Gtz Waschk <waschk@mandriva.org> 0.2.36-1mdk
- license is LGPL
- New release 0.2.36

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.35-2mdk
- cleanup patch2 (libdir) to make esd-config arch-independent

* Thu Aug 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.35-1mdk
- Release 0.2.35
- Regenerate patch0
- Enable libtoolize

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.34-2mdk
- disable alsa again (fcrozat)

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.34-1mdk
- reenable alsa
- new version

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.2.32-2mdk
- rebuild for new pkgconfig Requires

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.32-1mdk
- Release 0.2.32

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.31-1mdk
- Release 0.2.31

* Fri Aug  1 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.30-1mdk
- Release 0.2.30

* Thu Jul 31 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.29-4mdk
- mklibname

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.29-3mdk
- rebuild

* Wed Dec 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.29-2mdk
- esd-config.1 manpage should be in devel package (yves)

* Fri Aug 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.29-1mdk
- Release 0.2.29
- Remove patch 1 (merged upstream)

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.28-3mdk
- Patch2: don't add -L/usr/lib to ldflags

* Fri Jul 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.28-2mdk
- Patch1: cvs fixes (esdctl crash, esddsp no longer using LD_PRELOAD_PATH)

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.28-1mdk
- Release 0.2.28
- Patch0: increase spawn process waiting time

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.27-1mdk
- Release 0.2.27

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.26-1mdk
- Release 0.2.26

* Wed Apr 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.25-1mdk
- Release 0.2.25
- Remove patches 0 & 2 (merged upstream)

* Fri Apr 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.24-3mdk
- Patch0: clean esound socket when /dev/dsp can't be accessed
- Remove patch1 (we really want to know why esound doesn't start..)

* Tue Mar 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.24-1mdk
- Release 0.2.24

* Mon Sep 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.23-1mdk
- Release 0.2.23
- Remove patch0 (no longer needed)

* Thu Apr  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.22-4mdk
- libesound no longer provides esound package (fix bug 2949)

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.22-3mdk
- No longer start esound in tcp mode by default (thanks cooker folks)

* Mon Dec  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.22-2mdk
- provide and obsolete esound-devel

* Fri Dec 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.22-1mdk
- new and shiny source, and add a url for the source.
- TODO: library policy.

* Mon Oct  9 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.20-2mdk
- Patch esddsp script to use correct libraries
- binaries are no longer owned by audio group.

* Sat Oct  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.20-1mdk
- Upgrade to 0.2.20 to have complete security fix.

* Fri Sep 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.19-7mdk
- Include security fix from Vincent Danen

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.19-6mdk
- automatically added BuildRequires

* Mon Jul 24 2000 dam's <damien@mandrakesoft.com> 0.2.19-5mdk
- added --disable-alsa

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.2.19-4mdk
- added %%make

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.2.19-3mdk
- BM + macrozification

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.19-3mdk
- enforce devel dependency on same version of esound

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.19-2mdk
- apply again esd launch kill signal
- add BuildRequires for libtool
- add patch  esound-esdstart.patch.bz2

* Wed Jul 19 2000 David BAUDENS <baudens@mandrakesoft.com> 0.2.19-1mdk
- 0.2.19
- Big spec cleanup
- make Pixel happy
- BC

* Tue Jul 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.18-3mdk
- only send signal when esd could not be started by shell

* Tue Jul 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.18-2mdk
- correct check when launching spawning esd

* Fri Jul  7 2000 dam's <damien@mandrakesoft.com> 0.2.18-1mdk
- updated.

* Wed Apr 19 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.17-2mdk
- fixed group.

* Thu Dec 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.2.17

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Sane SMP build

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.2.14

* Wed Sep 22 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- sysconfdir=/etc 

* Thu Jul 22 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- set permissions for binarys root:audio 0750 to prevent DoS attacks
- Default System wide esd.conf (for the 3rd time, whys this keep getting lost?)
- Removed Esound.html from docs it hasn't been there for a long time.

* Mon Jun 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Last CVS version from Mon Jun 28 1999.

* Mon Jun 14 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 0.2.12
- fix URL entry in .spec
- move %{prefix}/lib/lib*.so files to the main esound package from the devel
  one, as esddsp requires them to function correctly

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adatations.

* Wed Apr 07 1999 Michael Fulbright <drmike@redhat.com>
- bump release to stay 1 ahead of 5.2 packages so upgrades work

* Mon Apr 05 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.10

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.9

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.8 with SIGPIPE fixes from Raster

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 0.2.8

* Wed Feb 3 1999 Jonathan Blandford <jrb@redhat.com>
- bug fixes -- new release.

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated in preparation of GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added %{prefix}/share/aclocal/* to %files devel
- added spanish and french translations for rpm

* Thu Oct 1 1998 Ricdude <ericmit@ix.netcom.com>
- make autoconf do the version updating for us.

* Wed May 13 1998 Michael Fulbright <msf@redhat.com>
- First try at an RPM
